<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Moco</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('mocomainpage.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">Moco </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p>Moco is a part of OpenSim for solving optimal control problems for musculoskeletal systems defined as OpenSim models.</p>
<p>The package has Python, MATLAB, and XML interfaces; the core library is written in C++.</p>
<div class="image">
<img src="OverviewOfMoco.png" alt="" width="400px"/>
</div>
<p>Here are some problems you can solve with Moco:</p>
<ul>
<li>Solve for the muscle activity that tracks a known motion.</li>
<li>Solve for a new motion that optimizes some cost (e.g., effort).</li>
<li>Solve for mass properties that minimize residual (unrealistic) forces.</li>
</ul>
<p>Sections of the documentation:</p><ul>
<li><a class="el" href="mocogettingstarted.html">Getting started with Moco</a></li>
<li><a class="el" href="mocouserguide.html">User Guide: How to use Moco</a><ul>
<li><a class="el" href="mocoinverse.html">MocoInverse: Prescribing a motion</a></li>
<li><a class="el" href="mocoinverse.html">MocoTrack: Tracking a motion</a></li>
<li><a class="el" href="mocostudy.html">MocoStudy: Defining a custom problem</a></li>
<li><a class="el" href="group__mocogoal.html">MocoGoals: available cost terms and endpoint constraints</a></li>
<li><a class="el" href="mocofaq.html">Frequently asked questions</a></li>
</ul>
</li>
<li><a class="el" href="mocotheoryguide.html">Theory Guide: How Moco solves optimal control problems</a></li>
<li><a class="el" href="mocodevguide.html">Developer Guide: The Moco codebase and how to contribute</a></li>
<li><a class="el" href="mocoapiref.html">Moco Interface (API) Reference</a></li>
<li><a class="el" href="mocouserguide.html#mococheatsheet">Printable cheat sheet</a></li>
<li><a class="el" href="mocoexamples.html">Examples</a></li>
</ul>
<p>Other resources:</p><ul>
<li><a href="https://simtk.org/projects/opensim-moco">SimTK: downloads, user forum, and mailing lists</a></li>
<li><a href="https://github.com/opensim-org/opensim-core">GitHub: source code, bug reporting, and feature requests</a></li>
<li><a href="https://journals.plos.org/ploscompbiol/article?id=10.1371/journal.pcbi.1008493">PLoS Comput Biol paper</a></li>
<li><a href="https://opensim.stanford.edu/support/event_details.php?id=236&amp;title=Webinar-OpenSim-Moco-Software-to-optimize-the-motion-and-control-of-OpenSim-models">Webinar recording</a> </li>
</ul>
</div></div><!-- contents -->
</div><!-- PageDoc -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:16 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
